var factory = function () {

    'use strict';

    return function ( requestConfig, actionName ) {

        return {
            alertMarker: requestConfig.alert || 'info',
            alert: requestConfig.alert || 'info',
            date: new Date(),
            action: actionName || 'Request',
            method: requestConfig.method,
            url: requestConfig.url,
            data: requestConfig.data,
            headers: requestConfig.headers
        }
    };

};

angular.module( 'KlickFlupp.console' ).factory(
    'consoleDataFactory',
    [
        factory
    ]
);