var factory = function ( consoleGridColumnsFactory ) {

    'use strict';

    return function () {

        return {
            columnDefs: consoleGridColumnsFactory(),
            rowData: [],
            enableSorting: true,
            enableFilter: true,
            enableColResize: true,
            suppressMenuHide: true,
            rowSelection: 'single',
            headerHeight: 30
        }

    };

};

angular.module( 'KlickFlupp.console' ).factory(
    'consoleGridOptionsFactory',
    [
        'consoleGridColumnsFactory',
        factory
    ]
);